Bug 1956233 - Unable to install wine - libnghttp2 is filtered out by modular filtering
Summary: Unable to install wine - libnghttp2 is filtered out by modular filtering
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs
Version: 34
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: NodeJS Packaging SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-03 09:05 UTC by Martin Tomec
Modified: 2021-05-06 12:14 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-06 12:14:58 UTC
Type: Bug


Attachments (Terms of Use)
libnghttp2 info (1.55 KB, text/plain)
2021-05-03 09:05 UTC, Martin Tomec
no flags Details

Description Martin Tomec 2021-05-03 09:05:31 UTC
Created attachment 1778871 [details]
libnghttp2 info

Description of problem:
After update to Fedora 34, wine package was removed and failed to install.


Version-Release number of selected component (if applicable):
Fedora 34


How reproducible:

sudo dnf install wine

Last metadata expiration check: 0:07:55 ago on Mon 03 May 2021 09:56:09 CEST.
Error: 
 Problem: conflicting requests
  - package wine-6.7-1.fc34.i686 requires wine-core(x86-32) = 6.7-1.fc34, but none of the providers can be installed
  - package wine-6.7-1.fc34.x86_64 requires wine-core(x86-32) = 6.7-1.fc34, but none of the providers can be installed
  - package wine-6.3-1.fc34.i686 requires wine-core(x86-32) = 6.3-1.fc34, but none of the providers can be installed
  - package wine-6.3-1.fc34.x86_64 requires wine-core(x86-32) = 6.3-1.fc34, but none of the providers can be installed
  - package wine-core-6.7-1.fc34.i686 requires libgphoto2.so.6, but none of the providers can be installed
  - package wine-core-6.7-1.fc34.i686 requires libgphoto2_port.so.12, but none of the providers can be installed
  - package wine-core-6.7-1.fc34.i686 requires libgphoto2_port.so.12(LIBGPHOTO2_5_0), but none of the providers can be installed
  - package wine-core-6.3-1.fc34.i686 requires libgphoto2.so.6, but none of the providers can be installed
  - package wine-core-6.3-1.fc34.i686 requires libgphoto2_port.so.12, but none of the providers can be installed
  - package wine-core-6.3-1.fc34.i686 requires libgphoto2_port.so.12(LIBGPHOTO2_5_0), but none of the providers can be installed
  - package libgphoto2-2.5.27-1.fc34.i686 requires libcurl.so.4, but none of the providers can be installed
  - package libcurl-7.76.1-1.fc34.i686 requires libnghttp2.so.14, but none of the providers can be installed
  - package libcurl-minimal-7.76.1-1.fc34.i686 requires libnghttp2.so.14, but none of the providers can be installed
  - package libcurl-7.76.0-1.fc34.i686 requires libnghttp2.so.14, but none of the providers can be installed
  - package libcurl-minimal-7.76.0-1.fc34.i686 requires libnghttp2.so.14, but none of the providers can be installed
  - package libnghttp2-1.43.0-2.fc34.i686 is filtered out by modular filtering
(try to add '--skip-broken' to skip uninstallable packages)


Actual results:

There is conflict between 
nghttp2-1.43.0-2.fc34 from fedora repository
and
nghttp2-1.43.0-2.module_f34+11844+d10d89b4 from updates-modular

As workaround I was able to install wine through:
sudo dnf install --setopt=fedora.module_hotfixes=true wine


Expected results:
Should install wine without workarounds


Additional info:
nghttp2 versions after wine instalation (dnf info libnghttp2)
 - in attachement

Comment 1 Marek Blaha 2021-05-03 10:22:34 UTC
According to the available version of the libnghttp2 package, you have `nodejs:12` module stream enabled (see output of `dnf module list --enabled`) which unfortunately provides only x86_64 version of libnghttp2. Wine on the other hand requires i686 version.
In case you do not need this specific version of nodejs module enabled there is another posible solution - reset the module: `dnf module reset nodejs`.

Comment 2 Martin Tomec 2021-05-05 11:32:50 UTC
You are right, after disabling nodejs:12 module, there are no conflicts.
So it is not general Fedora bug - feel free to close it. Thanks.


Note You need to log in before you can comment on or make changes to this bug.